﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EFFormView.aspx.cs" Inherits="Chapter06Sample.EFFormView" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
       <asp:FormView ID="FormView1" runat="server" DataKeyNames="EmployeeId" 
                        ItemType="Chapter06Sample.Employee" 
            SelectMethod="FormView1_GetItem"
               UpdateMethod="FormView1_UpdateItem"
               DeleteMethod="FormView1_DeleteItem"
               InsertMethod="FormView1_InsertItem">
            <EditItemTemplate>
                    社員ID:
                    <asp:Label ID="EmployeeIdLabel1" runat="server" 
                        Text='<%# Eval("EmployeeId") %>' />
                    <br />
                    名前:
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
                    <br />
                    課:
                        <asp:DropDownList ID="DropDownList1" runat="server" 
                            DataTextField="Name" 
                            ItemType="Chapter06Sample.Department" SelectMethod="SelectDepartments"
                            DataValueField="DepartmentId" SelectedValue='<%# Bind("DepartmentId") %>'>
                        </asp:DropDownList>
                    <br />
                    誕生日:
                        <asp:Calendar ID="Calendar1" runat="server" 
                            SelectedDate='<%# Bind("Birthday") %>' VisibleDate='<%# Eval("Birthday") %>'>
                        </asp:Calendar>
                    <br />
                    今期売上高:
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Sales") %>'></asp:TextBox>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="今期売上高には正の値を入力してください" 
                            Operator="GreaterThan" ValueToCompare="0" ForeColor="Red">*</asp:CompareValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="今期売上高を入力してください" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <br />
                    電話番号:
                    <asp:TextBox ID="TelNoTextBox" runat="server" Text='<%# Bind("TelNo") %>' />
                    <br />
                    性別:
                        <asp:RadioButtonList ID="RadioButton1" runat="server" 
                            SelectedValue='<%# Bind("Sex") %>'>
                        <asp:ListItem Text="男性" Value="True" />
                        <asp:ListItem Text="女性" Value="False" />
                        </asp:RadioButtonList>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ErrorMessage="性別を選択してください" ControlToValidate="RadioButton1"></asp:RequiredFieldValidator>
                    <br />
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="更新" />
                    <br />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="キャンセル" />
                    <br />
            </EditItemTemplate>
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <InsertItemTemplate>
                    社員ID:
                    <asp:TextBox ID="EmployeeIdTextBox" runat="server" 
                        Text='<%# Bind("EmployeeId") %>' />
                    <br />
                    名前:
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
                    <br />
                    課:
                        <asp:DropDownList ID="DropDownList1" runat="server" 
                            DataTextField="Name" 
                            ItemType="Chapter06Sample.Department" SelectMethod="SelectDepartments"
                            DataValueField="DepartmentId" SelectedValue='<%# Bind("DepartmentId") %>'>
                        </asp:DropDownList>
                    <br />
                    誕生日:
                        <asp:Calendar ID="Calendar1" runat="server" 
                            SelectedDate='<%# Bind("Birthday") %>' VisibleDate="1980/1/1">
                        </asp:Calendar>
                    <br />
                    今期売上高:
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Sales") %>'></asp:TextBox>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="今期売上高には正の値を入力してください" 
                            Operator="GreaterThan" ValidationGroup="Insert" ValueToCompare="0" ForeColor="Red">*</asp:CompareValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="TextBox1" ValidationGroup="Insert" ErrorMessage="今期売上高を入力してください" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <br />
                    電話番号:
                    <asp:TextBox ID="TelNoTextBox" runat="server" Text='<%# Bind("TelNo") %>' />
                    <br />
                    性別:
                        <asp:RadioButtonList ID="RadioButton1" runat="server" 
                            SelectedValue='<%# Bind("Sex") %>'>
                        <asp:ListItem Text="男性" Value="True" />
                        <asp:ListItem Text="女性" Value="False" />
                        </asp:RadioButtonList>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ErrorMessage="性別を選択してください" ValidationGroup="Insert" ControlToValidate="RadioButton1"></asp:RequiredFieldValidator>
                    <br />
                    <asp:Button ID="InsertButton" runat="server" ValidationGroup="Insert" CommandName="Insert" Text="挿入" />
                    <br />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="クリア" CausesValidation="False" />
                    <br />
            </InsertItemTemplate>
            <ItemTemplate>
                <span style="">
                社員ID:
                <asp:Label ID="EmployeeIdLabel" runat="server" 
                    Text='<%# Eval("EmployeeId") %>' />
                <br />
                名前:
                <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>' />
                <br />
                課:
                <asp:Label ID="DepartmentNameLabel" runat="server" 
                    Text='<%# Item.Department.Name %>' />
                <br />
                誕生日:
                <asp:Label ID="BirthdayLabel" runat="server" 
                            Text='<%# Eval("Birthday", "{0:yyyy/MM/dd}") %>'></asp:Label>
                <br />
                今期売上高:
                <asp:Label ID="SalesLabel" runat="server" Text='<%# Eval("Sales", "{0:C}") %>'></asp:Label>
                <br />
                電話番号:
                <asp:Label ID="TelNoLabel" runat="server" Text='<%# Eval("TelNo") %>' />
                <br />
                性別:
                <asp:Label ID="SexLabel" runat="server" Text='<%# (bool)Eval("Sex")?"男性":"女性" %>'> </asp:Label>
                <br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                    CommandName="Edit" Text="編集" />
                &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                    CommandName="Delete" Text="削除" />
                &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                    CommandName="New" Text="新規作成" />
                </span>
            </ItemTemplate>
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
        </asp:FormView>
               
   
    </div>
    </form>
</body>
</html>
