﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EFListView.aspx.cs" Inherits="Chapter06Sample.EFListView" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
           <asp:ListView ID="ListView1" runat="server" DataKeyNames="EmployeeId" 
            InsertItemPosition="LastItem" 
            GroupItemCount="3"
            ItemType="Chapter06Sample.Employee" 
            SelectMethod="ListView1_GetData"
               UpdateMethod="ListView1_UpdateItem"
               DeleteMethod="ListView1_DeleteItem"
               InsertMethod="ListView1_InsertItem"
               >
            <EditItemTemplate>
                <td runat="server" style="">
                    社員ID:
                    <asp:Label ID="EmployeeIdLabel1" runat="server" 
                        Text='<%# Eval("EmployeeId") %>' />
                    <br />
                    名前:
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
                    <br />
                    課:
                        <asp:DropDownList ID="DropDownList1" runat="server" 
                            DataTextField="Name" 
                            ItemType="Chapter06Sample.Department" SelectMethod="SelectDepartments"
                            DataValueField="DepartmentId" SelectedValue='<%# Bind("DepartmentId") %>'>
                        </asp:DropDownList>
                    <br />
                    誕生日:
                        <asp:Calendar ID="Calendar1" runat="server" 
                            SelectedDate='<%# Bind("Birthday") %>' VisibleDate='<%# Eval("Birthday") %>'>
                        </asp:Calendar>
                    <br />
                    今期売上高:
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Sales") %>'></asp:TextBox>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="今期売上高には正の値を入力してください" 
                            Operator="GreaterThan" ValueToCompare="0" ForeColor="Red">*</asp:CompareValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="今期売上高を入力してください" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <br />
                    電話番号:
                    <asp:TextBox ID="TelNoTextBox" runat="server" Text='<%# Bind("TelNo") %>' />
                    <br />
                    性別:
                        <asp:RadioButtonList ID="RadioButton1" runat="server" 
                            SelectedValue='<%# Bind("Sex") %>'>
                        <asp:ListItem Text="男性" Value="True" />
                        <asp:ListItem Text="女性" Value="False" />
                        </asp:RadioButtonList>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ErrorMessage="性別を選択してください" ControlToValidate="RadioButton1"></asp:RequiredFieldValidator>
                    <br />
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="更新" />
                    <br />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="キャンセル" />
                    <br />
                </td>
            </EditItemTemplate>
            <EmptyDataTemplate>
                <table runat="server" style="">
                    <tr>
                        <td>
                            データは返されませんでした。</td>
                    </tr>
                </table>
            </EmptyDataTemplate>
            <EmptyItemTemplate>
                <td runat="server" />
            </EmptyItemTemplate>
            <GroupTemplate>
                <tr ID="itemPlaceholderContainer" runat="server">
                    <td ID="itemPlaceholder" runat="server">
                    </td>
                </tr>
            </GroupTemplate>
            <InsertItemTemplate>
                <td runat="server" style="">
                    社員ID:
                    <asp:TextBox ID="EmployeeIdTextBox" runat="server" 
                        Text='<%# Bind("EmployeeId") %>' />
                    <br />
                    名前:
                    <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' />
                    <br />
                    課:
                        <asp:DropDownList ID="DropDownList1" runat="server" 
                            DataTextField="Name" 
                            ItemType="Chapter06Sample.Department" SelectMethod="SelectDepartments"
                            DataValueField="DepartmentId" SelectedValue='<%# Bind("DepartmentId") %>'>
                        </asp:DropDownList>
                    <br />
                    誕生日:
                        <asp:Calendar ID="Calendar1" runat="server" 
                            SelectedDate='<%# Bind("Birthday") %>' VisibleDate="1980/1/1">
                        </asp:Calendar>
                    <br />
                    今期売上高:
                        <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Sales") %>'></asp:TextBox>
                        <asp:CompareValidator ID="CompareValidator1" runat="server" 
                            ControlToValidate="TextBox1" ErrorMessage="今期売上高には正の値を入力してください" 
                            Operator="GreaterThan" ValidationGroup="Insert" ValueToCompare="0" ForeColor="Red">*</asp:CompareValidator>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                            ControlToValidate="TextBox1" ValidationGroup="Insert" ErrorMessage="今期売上高を入力してください" ForeColor="Red">*</asp:RequiredFieldValidator>
                    <br />
                    電話番号:
                    <asp:TextBox ID="TelNoTextBox" runat="server" Text='<%# Bind("TelNo") %>' />
                    <br />
                    性別:
                        <asp:RadioButtonList ID="RadioButton1" runat="server" 
                            SelectedValue='<%# Bind("Sex") %>'>
                        <asp:ListItem Text="男性" Value="True" />
                        <asp:ListItem Text="女性" Value="False" />
                        </asp:RadioButtonList>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                            ErrorMessage="性別を選択してください" ValidationGroup="Insert" ControlToValidate="RadioButton1"></asp:RequiredFieldValidator>
                    <br />
                    <asp:Button ID="InsertButton" runat="server" ValidationGroup="Insert" CommandName="Insert" Text="挿入" />
                    <br />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="クリア" CausesValidation="False" />
                    <br />
                </td>
            </InsertItemTemplate>
            <ItemTemplate>
                <td runat="server" style="">
                社員ID:
                <asp:Label ID="EmployeeIdLabel" runat="server" 
                    Text='<%# Eval("EmployeeId") %>' />
                <br />
                名前:
                <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>' />
                <br />
                課:
                <asp:Label ID="DepartmentNameLabel" runat="server" 
                    Text='<%# Item.Department.Name %>' />
                <br />
                誕生日:
                <asp:Label ID="BirthdayLabel" runat="server" 
                            Text='<%# Eval("Birthday", "{0:yyyy/MM/dd}") %>'></asp:Label>
                <br />
                今期売上高:
                <asp:Label ID="SalesLabel" runat="server" Text='<%# Eval("Sales", "{0:C}") %>'></asp:Label>
                <br />
                電話番号:
                <asp:Label ID="TelNoLabel" runat="server" Text='<%# Eval("TelNo") %>' />
                <br />
                性別:
                <asp:Label ID="SexLabel" runat="server" Text='<%# (bool)Eval("Sex")?"男性":"女性" %>'> </asp:Label>
                    <br />
                    <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" Text="削除" />
                    <br />
                    <asp:Button ID="EditButton" runat="server" CommandName="Edit" Text="編集" />
                    <br />
                </td>
            </ItemTemplate>
            <LayoutTemplate>
                <table runat="server">
                    <tr runat="server">
                        <td runat="server">
                            <table ID="groupPlaceholderContainer" runat="server" border="1" style="">
                                <tr ID="groupPlaceholder" runat="server">
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr runat="server">
                        <td runat="server" style="">
<asp:DataPager ID="DataPager1" runat="server" PageSize="3">
  <Fields>
    <asp:NextPreviousPagerField ShowFirstPageButton="True"
      ShowNextPageButton="False" ShowPreviousPageButton="False" />
    <asp:NumericPagerField />
    <asp:NextPreviousPagerField ShowLastPageButton="True"
      ShowNextPageButton="False" ShowPreviousPageButton="False" />
  </Fields>
</asp:DataPager>
                        </td>
                    </tr>
                </table>
            </LayoutTemplate>
            <SelectedItemTemplate>
                <td runat="server" style="">
                    DepartmentName:
                    <asp:Label ID="DepartmentNameLabel" runat="server" 
                        Text='<%# Eval("DepartmentName") %>' />
                    <br />
                    EmployeeId:
                    <asp:Label ID="EmployeeIdLabel" runat="server" 
                        Text='<%# Eval("EmployeeId") %>' />
                    <br />
                    Name:
                    <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>' />
                    <br />
                    DepartmentId:
                    <asp:Label ID="DepartmentIdLabel" runat="server" 
                        Text='<%# Eval("DepartmentId") %>' />
                    <br />
                    Birthday:
                    <asp:Label ID="BirthdayLabel" runat="server" Text='<%# Eval("Birthday") %>' />
                    <br />
                    Sales:
                    <asp:Label ID="SalesLabel" runat="server" Text='<%# Eval("Sales") %>' />
                    <br />
                    TelNo:
                    <asp:Label ID="TelNoLabel" runat="server" Text='<%# Eval("TelNo") %>' />
                    <br />
                    <asp:CheckBox ID="SexCheckBox" runat="server" Checked='<%# Eval("Sex") %>' 
                        Enabled="false" Text="Sex" />
                    <br />
                    <asp:Button ID="DeleteButton" runat="server" CommandName="Delete" Text="削除" />
                    <br />
                    <asp:Button ID="EditButton" runat="server" CommandName="Edit" Text="編集" />
                    <br />
                </td>
            </SelectedItemTemplate>
        </asp:ListView>

    </div>
    </form>
</body>
</html>
