﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Chapter06Sample
{

    //①社員エンティティクラス
    public class Employee
    {
        //②社員ID。主キー
        public int EmployeeId { get; set; }
        //③名前（最大長５０文字）
        [StringLength(50)]
        public string Name { get; set; }
        //④誕生日
        public DateTime Birthday { get; set; }
        //⑤今期売上高
        public decimal Sales { get; set; }
        //⑥電話番号（最大長５０文字）
        [StringLength(50)]
        public string TelNo { get; set; }
        //⑦性別(1: 男性。0: 女性)
        public bool Sex { get; set; }
        //⑧課ID
        public int DepartmentId { get; set; }
        //⑨所属する課のエンティティ
        public virtual Department Department { get; set; }

        //郵便番号プロパティをZipCodeフィールドに対応づける
        //[Column("ZipCode")]
        //public string 郵便番号 { get; set; }
        //電話番号プロパティをnvarchar型のTelNoフィールドに対応づける
        //[Column("TelNo2", TypeName = "nvarchar")]
        //public string 電話番号 { get; set; }

        //public Hoge HogeMessage { get; set; }
    }
    /*
    public class Hoge
    {
        public int Id { get; set; }
        public string HogeMessage { get; set; }
    }*/
}
