﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;

namespace Chapter12Sample
{
    public class CustomSeedInitializer : DropCreateDatabaseAlways<MyModel> //DropCreateDatabaseIfModelChanges
    {

        protected override void Seed(MyModel context)
        {
            base.Seed(context);


            //以降にcontextを使って初期データを投入するロジックを記す

            //SQL取得用コード
            //System.Text.StringBuilder sb = new System.Text.StringBuilder();
            //context.Database.Log = x => sb.AppendLine(x);

            //部署情報の追加
            var department1 = new Department()
            {
                Name = "営業1課"
            };
            var department2 = new Department()
            {
                Name = "営業2課"
            };
            var department3 = new Department()
            {
                Name = "海外営業課"
            };

            //
            var employee1 = new Employee()
            {
                Name = "土井",
                Birthday = DateTime.Parse("1978-10-25"),
                Department = department1
            };
            var employee2 = new Employee()
            {
                Name = "中村",
                Birthday = DateTime.Parse("1975-2-3"),
                Department = department1
            };
            var employee3 = new Employee()
            {
                Name = "川口",
                Birthday = DateTime.Parse("1975-2-3"),
                Department = department2
            };
            var employee4 = new Employee()
            {
                Name = "田中",
                Birthday = DateTime.Parse("1975-2-3"),
                Department = department2
            };
            var employee5 = new Employee()
            {
                Name = "石川",
                Birthday = DateTime.Parse("1975-2-3"),
                Department = department2
            };
            var employee6 = new Employee()
            {
                Name = "関根",
                Birthday = DateTime.Parse("1975-2-3"),
                Department = department3
            };

            context.Employees.Add(employee1);
            context.Employees.Add(employee2);
            context.Employees.Add(employee3);
            context.Employees.Add(employee4);
            context.Employees.Add(employee5);
            context.Employees.Add(employee6);

            context.SaveChanges();

            context.Database.ExecuteSqlCommand(@"CREATE PROCEDURE dbo.GetEmployeesByDepartmentId
(
@DepartmentId int
)
AS
IF @DepartmentId = 0
SELECT * FROM Employees
ELSE
SELECT * FROM Employees WHERE DepartmentId = @DepartmentId");
        }
    }
}