﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Optimization;
using System.Web.Routing;
using System.Web.Security;
using System.Web.SessionState;

namespace Chapter13Sample
{
    public class Global : HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            // アプリケーションのスタートアップで実行するコードです
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);

            RouteTable.Routes.MapPageRoute(
            "bookList", //ルーティング名
            "category/{categoryName}", //ルーティング元のURL定義。{}内はパラメータ
            "~/BookList.aspx");  //ルーティング先のURL
        }


        //検索エンジンの巡回ロボット名の定義
        static string[] robots = new String[]
        {
            "googlebot", //Google
            "slurp",    //Yahoo!
            "bingbot"    //Bing
        };

        //リクエストが巡回ロボットによるものかどうか
        private bool IsRobot()
        {
            //ユーザーエージェント文字列を取得
            var useragent = Request.UserAgent;
            foreach (var robot in robots)
            {
                //巡回ロボット名を含んでいるかどうか
                if (useragent.Contains(robot))
                    return true;
            }
            return false;
        }
        //リクエストごとにアクセスログを記録
        void Application_OnBeginRequest(Object sender, EventArgs e)
        {
            //巡回ロボットのアクセスでなければ
            if (!IsRobot())
            {
                //ログファイルの作成
                var logger =
                new System.IO.StreamWriter(
                Server.MapPath("~/App_Data/access.log"), true);
                logger.WriteLine("-----");
                //リクエストされたURLを記録
                logger.WriteLine(Request.Url.ToString());
                logger.Close();
            }
        }

        void Session_Start(object sender, EventArgs e)
        {
            //空の買い物かごを作成
            var mycart = new List<String>();
            //セッションに保存
            Session["Cart"] = mycart;
        }
    }
}